/**
 * XParticipationAuthorPerformer2.java
 *
 * File generated from the medication2::XParticipationAuthorPerformer2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XParticipationAuthorPerformer2.
 *
 * 
 */

@XmlType(name = "XParticipationAuthorPerformer")
@XmlEnum
@XmlRootElement(name = "XParticipationAuthorPerformer2")
public enum XParticipationAuthorPerformer2 {
	@XmlEnumValue("PRF")
	PRF("PRF"),
	@XmlEnumValue("AUT")
	AUT("AUT");
	
	private final String value;

    XParticipationAuthorPerformer2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XParticipationAuthorPerformer2 fromValue(String v) {
        for (XParticipationAuthorPerformer2 c: XParticipationAuthorPerformer2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
